> ## Documentation Index
> Fetch the complete documentation index at: https://telnesstech-a0a16404.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Cancel payment session

> Cancel an active payment session, preventing further payment attempts.



## OpenAPI

````yaml /api-reference/bundled_openapi.json post /payment-sessions/{paymentSessionId}/cancel
openapi: 3.1.0
info:
  title: Telness Tech Connect
  version: 2.0.0-alpha
  description: >
    Telness Tech Connect API provides all you need to own your user's
    connectivity experience.


    Go back to [Telnesstech.com](https://telnesstech.com)
servers:
  - url: https://apiv2.example.com
    description: Connect API URL for your domain
security:
  - apiKey: []
  - bearerAuth: []
    apiKey: []
tags:
  - name: Auth
    description: Authenticate users and obtain access tokens.
  - name: Users
    description: Manage users.
  - name: Customers
    description: Manage customers.
  - name: Subscriptions
    description: Manage subscriptions and subscription.
  - name: Subscription Addons
    description: Manage subscription addons.
  - name: Subscription Usage
    description: Get subscription usage.
  - name: Subscribers
    description: Manage subscribers.
  - name: Licenses
    description: Manage licenses.
  - name: Product Offerings
    description: Browse product offerings.
  - name: Product Catalogs
    description: Browse product catalogs.
  - name: Product Discounts
    description: Discounts and promotions.
  - name: Orders
    description: Manage orders and line items.
  - name: Payment Intents
    description: >-
      Inspect payment intents, the money collected over card rails for orders
      and renewals.
  - name: Payment Links
    description: Create and manage payment links for orders and invoices.
  - name: Payment Sessions
    description: Create and manage payment sessions for orders.
  - name: Payment Profiles
    description: Manage customer payment profiles and methods.
  - name: Payment Profile Sessions
    description: Create sessions for setting up payment profiles.
  - name: Signing sessions
    description: Handle contract signing sessions for postpaid orders.
  - name: Porting
    description: Manage number porting for subscriptions.
  - name: Taxes
    description: Calculate taxes for products and line items.
  - name: Invoices
    description: Manage invoices and invoice items.
  - name: Tools
    description: >-
      Tools for address validation, number porting, device info, and network
      coverage.
  - name: Inventory
    description: Manage phone number inventory, SIM cards, and reservations.
  - name: Workflows
    description: Dynamic processing of customer journeys and events.
paths:
  /payment-sessions/{paymentSessionId}/cancel:
    post:
      tags:
        - Payment Sessions
      summary: Cancel payment session
      description: Cancel an active payment session, preventing further payment attempts.
      operationId: cancelPaymentSession
      parameters:
        - name: paymentSessionId
          in: path
          required: true
          schema:
            type: string
          description: The unique identifier of the payment session to cancel.
          example: a3b4c5d6-e7f8-9012-3456-123456789012
        - $ref: '#/components/parameters/IdempotencyKey'
      requestBody:
        required: false
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CancelPaymentSessionRequest'
      responses:
        '200':
          description: Payment session cancelled successfully
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PaymentSession'
        '400':
          $ref: '#/components/responses/BadRequest'
        '401':
          $ref: '#/components/responses/Unauthorized'
        '403':
          $ref: '#/components/responses/Forbidden'
        '404':
          $ref: '#/components/responses/NotFound'
        '409':
          $ref: '#/components/responses/Conflict'
        '500':
          $ref: '#/components/responses/InternalServerError'
components:
  parameters:
    IdempotencyKey:
      in: header
      name: X-Idempotency-Key
      required: false
      description: >
        A unique key to ensure idempotency of requests. If a request with the
        same key has already been processed, the same result will be returned.

        The key must be unique for each distinct operation. Keys are expired
        after 24 hours, but we recommend using a new key for each request.


        Modified requests with the same idempotency keys are rejected with a
        `409 Conflict` status code.
      schema:
        type: string
        maxLength: 256
  schemas:
    CancelPaymentSessionRequest:
      type: object
      description: Request to cancel an active payment session.
      additionalProperties: false
      properties:
        reason:
          type: string
          description: Optional reason for cancelling the payment session.
          example: Customer changed their mind
        metadata:
          type: object
          additionalProperties:
            type: string
          description: Custom key-value pairs for additional cancellation information.
          example:
            cancelled_by: customer_service
            ticket_id: SUPP-12345
    PaymentSession:
      type: object
      description: >-
        A payment session that wraps the payment process and collects payment
        information from the user for a specific order.
      required:
        - paymentSessionId
        - orderId
        - paymentProvider
        - savePaymentProfile
        - hostedUrl
        - status
        - metadata
        - createdAt
        - updatedAt
      additionalProperties: false
      properties:
        paymentSessionId:
          type: string
          description: The unique identifier for this payment session.
          example: d2e3f4a5-b6c7-8901-2345-012345678901
        orderId:
          type: string
          description: The unique identifier of the order this payment session is for.
          example: e3f4a5b6-c7d8-9012-3456-123456789012
        paymentProvider:
          $ref: '#/components/schemas/PaymentProvider'
        paymentProfileId:
          type: string
          description: >-
            The saved payment method to use for this payment (for returning
            customers).
          example: f4a5b6c7-d8e9-0123-4567-234567890123
        savePaymentProfile:
          type: boolean
          description: >-
            Whether to save the payment profile for future use. Only applicable
            if the customer is authenticated or for the initial order. Defaults
            to false.
          example: true
        hostedUrl:
          type: string
          format: uri
          description: >-
            The hosted checkout page to redirect the customer to in order to
            complete payment.
          example: >-
            https://payments.example.com/checkout/d2e3f4a5-b6c7-8901-2345-012345678901
        returnUrl:
          type: string
          description: The URL the customer is redirected to after payment completion.
          example: https://example.com/order/confirmation
        cancelUrl:
          type: string
          description: The URL the customer is redirected to if they cancel the payment.
          example: https://example.com/order/checkout
        status:
          $ref: '#/components/schemas/PaymentSessionStatus'
        metadata:
          type: object
          additionalProperties:
            type: string
          description: Custom key-value pairs for additional payment session information.
          example:
            source: mobile_app
            campaign: summer_2024
        createdAt:
          type: string
          format: date-time
          description: When this payment session was created.
          example: '2024-09-29T10:00:00Z'
        updatedAt:
          type: string
          format: date-time
          description: When this payment session was last updated.
          example: '2024-09-29T10:30:00Z'
    PaymentProvider:
      type: string
      description: Payment service provider that processes the transaction.
      enum:
        - STRIPE
        - BILLOGRAM
      example: STRIPE
    PaymentSessionStatus:
      type: string
      description: Current status of a payment session lifecycle.
      enum:
        - PENDING
        - REQUIRES_ACTION
        - COMPLETED
        - FAILED
        - CANCELED
        - EXPIRED
      example: PENDING
    Error:
      type: object
      required:
        - message
        - code
      properties:
        message:
          type: string
          description: A human-readable message providing more details about the error.
        code:
          type: string
          description: A machine-readable code for the error.
        details:
          type: array
          description: Additional details about the error.
          items:
            type: object
            required:
              - message
              - code
            properties:
              message:
                type: string
                description: >-
                  A human-readable message providing more details about the
                  error.
              code:
                type: string
                description: A machine-readable code for the specific detail.
              property:
                type: string
                description: The property or field related to the error.
              suggestion:
                $ref: '#/components/schemas/Any'
                description: >
                  A suggested value for the particular property.


                  For example, this may be set when validating an address with
                  an alias, suggesting the expected value by the operator.
        hint:
          type: string
          description: A hint to help resolve the error.
    Any:
      oneOf:
        - type: string
        - type: number
        - type: boolean
        - type: object
          additionalProperties: true
        - type: array
  responses:
    BadRequest:
      description: The request was malformed or invalid.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
    Unauthorized:
      description: Authentication is required to access this resource.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
    Forbidden:
      description: Access to this resource is forbidden.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
    NotFound:
      description: The requested resource was not found.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
    Conflict:
      description: Conflict
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
    InternalServerError:
      description: An unexpected error occurred on the server.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
  securitySchemes:
    apiKey:
      type: apiKey
      in: header
      name: X-Api-Key
      description: >
        An API key that grants access to the Connect API. You can create and
        manage API keys in the portal.
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: >
        Bearer authentication with JWT tokens is used to authenticate users.


        Do note that a valid API keys is also required to access the Connect API
        to prove that requests are made by a trusted party.


        Requests with a JWT token is scoped to the permissions of the user the
        token belongs to, regardless of the API key used.

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.